Package twisted :: Package persisted :: Module marmalade :: Class DOMUnjellier

[frames | no frames]

## Class DOMUnjellier

Method Summary
| `__init__(self)`
| `unjelly(self, doc)`
| ``unjellyAttribute`(self, instance, attrName, valueNode)` Utility method for unjellying into instances of attributes.
| ``unjellyInto`(self, obj, loc, node)` Utility method for unjellying one object into another.
| ``unjellyLater`(self, node)` Unjelly a node, later.
| `unjellyNode(self, node)`

Method Details

### unjellyAttribute(self, instance, attrName, valueNode)

Utility method for unjellying into instances of attributes.

Use this rather than unjellyNode unless you like surprising bugs! Alternatively, you can use unjellyInto on your instance's __dict__.

### unjellyInto(self, obj, loc, node)

Utility method for unjellying one object into another.

This automates the handling of backreferences.

### unjellyLater(self, node)

Unjelly a node, later.

Generated by Epydoc 2.0 on Sat May 15 20:08:55 2004 | http://epydoc.sf.net